from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .views import (
    ContentAnalysisAPI, 
    TopCreatorsAPI,
    NegotiationViewSet,
    CreatorSQLSearchAPI
)

router = DefaultRouter()
router.register(r'negotiations', NegotiationViewSet, basename='negotiation')

urlpatterns = [
    path('', include(router.urls)),
    path('analyze/', ContentAnalysisAPI.as_view(), name='content-analysis'),
    path('top-creators/', TopCreatorsAPI.as_view(), name='top-creators'),
    path('sql_search/', CreatorSQLSearchAPI.as_view(), name='sql-search'),
]